# linux-server-tools

A collection of tools I use for my Linux Servers.

I will over time add more to this repository. 

Each tool or toolset is in it's own folder.

## DailyBackup

A BASH script to perform a daily scheduled backup of select folders on a remote server. Works well with SQLDumps. Also has support for notifications via Telegram.

## SQLDumps

A BASH script for creating scheduled dumps of all required MySQL or MariaDB databases. This is needed if you want to do an easy daily backup as the SQL files can be inserted back into blank databases on a new server.

## DirSize

A basic tool to simply compute the size of folders within the current folder. Useful for finding where all your valuable space went.

## MakeVHost

Automate the creation of VHosts on a Debian server running Apache.

## Do you have a script idea?

If you have an idea for a useful server script for selfhost/homelab environments, please start a chat with me on Reddit /u/thisiszeev and share your idea. I might just make it a reality, and give you credit in the relevant README.md file.

# Donations

Please consider making me small donation. Even though my scripts are open source and free to use, I still need to eat. And the occasional bottle of wine also goes down well.

- $5 buys me a cup of coffee
- $10 buys me a nice burger
- $20 buys me a bottle of wine
- Anything above that will be awesome as well.

You can send me a donation via Paypal https://www.paypal.com/paypalme/thisiszeev

Drop me a message on Reddit if you do make a donation. u/thisiszeev

Support is only offered freely to those who donate $20 or more.

Your donation contributes to further development.

If you need a custom script, contact me on Reddit for pricing.